BiocLite installation issues in R version 4.0.5
1
0
Entering edit mode
7 months ago
xxxxxxxx ▴ 20

While installing BiocLite

source('https://bioconductor.org/biocLite.R')

Getting error like this-

Error: With R version 3.5 or greater, install Bioconductor packages
 using BiocManager; see https://bioconductor.org/install

While following the script given in https://bioconductor.org/install, I'm getting again error like this-

'getOption("repos")' replaces Bioconductor standard repositories, see
'?repositories' for details
replacement repositories:
    CRAN: https://cran.rstudio.com/
Bioconductor version 3.12 (BiocManager 1.30.12), R 4.0.5 (2021-03-31)

How to install BiocLite in R version 4.0.5?

R BiocLite Bioconductor BiocManager R-studio • 1.5k views
ADD COMMENT
0
Entering edit mode

Please do not delete posts once they receive a comment/answer. Accept the answer (green check mark) below if it has solved your problem.

ADD REPLY
3
Entering edit mode
7 months ago
ATpoint 55k

BiocLite has been deprecated quite some time ago, it was for R < 3.5.0. As in the link you provide the current installation machinery relies on BiocManager::install():

if (!requireNamespace("BiocManager", quietly = TRUE))
    install.packages("BiocManager")
BiocManager::install(version = "3.12")

Once this is installed via CRAN you can go like BiocManager::instal("BiocPackageName")

ADD COMMENT

Login before adding your answer.

Traffic: 1243 users visited in the last hour
Help About
FAQ
Access RSS
API
Stats

Use of this site constitutes acceptance of our User Agreement and Privacy Policy.

Powered by the version 2.3.6